/*
*  ap_ReadDigital
*  
*  Reads an digital input from the input pin and sends the value 
*  followed by a line break over the serial port. 
* 
*  This file is part of the Arduino meets Processing Project.
*  For more information visit http://www.arduino.cc.
*
*  copyleft 2005 by Melvin Ochsmann for Malm\u00f6 University
*
*/


// variables for switch pin
  #include "WProgram.h"
void setup();
void loop();
int cswitchPin = 7;
  int pswitchPin = 8;
  
// variable to store the value 
  int cvalue = 0;
  int pvalue = 0;
 
void setup(){

// declaration pin modes
  pinMode(cswitchPin, INPUT);
  pinMode(pswitchPin, INPUT);  
// begin sending over serial port
  Serial.begin(9600);
}

void loop(){
// read the value on digital input
  cvalue = digitalRead(cswitchPin);
  pvalue = digitalRead(pswitchPin);

// if value is high then send the letter 'H' else send 'L' for low
if (cvalue)  {
  serialWrite(1);   
 //Serial.println(1);
} 

if(pvalue) {
  serialWrite(2);
 //Serial.println(2);
} 

if(!pvalue && !cvalue) {
  serialWrite(0);
}
  
 // wait a bit to not overload the port
  delay(10);	
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

